-- SAF - náš student vyjíždějící ven
-- základní data
SELECT KAL.rok_platnosti||'/'||to_char(to_number(KAL.rok_platnosti)+1) as academic_year,
       FN_STUDENTOVO_OBKO(ST.os_cislo, KAL.rok_platnosti, 'N', 'AN') as field_of_study,
       CGORG.ENGLISH as sending_institution,
       'Czech republic' as sending_institution_country,
       (SELECT pg_cti_parametry.cti_retezec('ADR_ULICE')||', '||pg_cti_parametry.cti_retezec('ADR_CISLO')||', '||(select co.NAZEV from cis_obci co where co.OBEC_IDNO = pg_cti_parametry.cti_retezec('ADR_OBEC'))||', '||pg_cti_parametry.cti_retezec('ADR_PSC') FROM dual) sending_institution_adress,
       fn_get_ucitel(SV.UCITIDNO_DC_PODPIS,'PJ','N') as sending_DC,
       SV.ECTS_TELEFON as sending_DC_tel,
       SV.ECTS_FAX as sending_DC_fax,
       SV.ECTS_EMAIL as sending_DC_email,
       fn_get_ucitel(SV.UCITIDNO_IC_PODPIS,'PJ','N') as sending_IC,
       SV.ECTS_TELEFON as sending_IC_tel,
       SV.ECTS_FAX as sending_IC_fax,
       SV.ECTS_EMAIL as sending_IC_email,
       OS.prijmeni as student_family_name,
       OS.JMENO as student_first_name,
       to_char(OS.DATUM_NAROZ,'DD.MM.RRRR') as student_birth_date,
       (SELECT fn_meaning_en(OS.POHLAVI,'POHLAVI') FROM dual) as student_sex,
       NULL as student_nationality,
       (SELECT CS.ENGLISH FROM cis_statu CS WHERE OS.statidno_naro = CS.STATIDNO)||', '||decode(OS.statidno_naro,203,(SELECT CO.NAZEV FROM cis_obci CO WHERE CO.OBEC_IDNO = OS.obecidno_naro)) as student_birth_place,
       (SELECT fn_adresa_studenta(ST.os_cislo,'ULICE_CISLO','P') FROM dual) as student_current_ulice_cislo,
       (SELECT fn_adresa_studenta(ST.os_cislo,'OBEC_CAST','P') FROM dual) as student_current_obec_cast,
       (SELECT fn_adresa_studenta(ST.os_cislo,'PSC_POSTA','P') FROM dual) as student_current_psc_posta,
       (SELECT fn_adresa_studenta(ST.os_cislo,'STAT_STITEK','P') FROM dual) as student_current_stat,
       (SELECT fn_adresa_studenta(ST.os_cislo,'ULICE_CISLO','T') FROM dual) as student_permanent_ulice_cislo,
       (SELECT fn_adresa_studenta(ST.os_cislo,'OBEC_CAST','T') FROM dual) as student_permanent_obec_cast,
       (SELECT fn_adresa_studenta(ST.os_cislo,'PSC_POSTA','T') FROM dual) as student_permanent_psc_posta,
       (SELECT fn_adresa_studenta(ST.os_cislo,'STAT_STITEK','T') FROM dual) as student_permanent_stat,
       OS.mobil||decode(OS.mobil,NULL,NULL,decode(OS.telefon,NULL,NULL,', '))||OS.telefon as student_tel,
       decode((SELECT pg_cti_parametry.cti_retezec('TERMINYZ_MAIL') FROM dual),'1',(SELECT orion.USERNAME||(SELECT pg_cti_parametry.cti_retezec('STUDENTI_EMAIL') FROM dual) FROM orion WHERE orion.ROD_CISLO = OS.rod_cislo),OS.email) as student_email,
       SV.PROC_CHCE_VYJET as why_you_wish_to_study_abroad,
       'Czech' as mother_tongue,
       'Czech' as language_institution,
       (SELECT fn_meaning_en(SP.TITUL,'TITUL') FROM dual) as diploma_degree,
       NULL as number_years_study, -- pocet odstudovanych let pred odjezdem
       decode(SV.ZADA_O_GRANT,'A','Yes','No') as mobility_grant, -- chce grant
       CSKOL.NAZEV_SKOLY as receiving_institution,
       CSTAT.ENGLISH as receiving_institution_country,
       SV.FAKULTA as receiving_department,
       SV.DC_CIZI as receiving_DC,
       SV.IC_CIZI as receiving_IC,
       SV.CIZI_TELEFON as receiving_tel,
       SV.CIZI_FAX as receiving_fax,
       SV.CIZI_EMAIL as receiving_email,
       SV.DATUM_OD as period_of_study_from,
       SV.DATUM_DO as period_of_study_to,
       round((SV.DATUM_DO-SV.DATUM_OD)/30,0) duration_of_stay_months,
       (SELECT sum(JW.KREDITY_CIZI) FROM jedznamky_WWW JW WHERE JW.STVYIDNO = SV.STVYIDNO) as number_expected_ECTS_credits
  FROM osoby OS,
       studenti ST,
       studijni_programy SP,
       cis_pracovist CP,
       STUDENTI_VYJEZDY SV,
       cis_skol CSKOL,
       cis_statu CSTAT,
       cg_ref_codes CGORG,
       KALENDAR KAL
 WHERE OS.osobidno = ST.osobidno
   AND ST.stpridno = SP.stpridno
   AND SP.FAKULTA_SP = CP.ZKR
   AND SV.OS_CISLO = ST.OS_CISLO
   AND SV.SKOLAIDNO = CSKOL.SKOLAIDNO
   AND CSKOL.STATIDNO = CSTAT.STATIDNO
   AND CGORG.RV_DOMAIN = 'ORGANIZACE'
   AND SV.DATUM_OD = KAL.DATUM
   AND SV.OS_CISLO = :os_cislo
   AND SV.STVYIDNO = :stvyidno
